For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETLiveness Probe
      • GETReadiness Probe
      • POSTFeedback Asi1 Execution Result
      • POSTSave Asi1 Human Feedback
      • POSTSave Asi1 Picking Details
      • POSTTrack Successful Asi1 Queries
      • POSTTrack Failed Asi1 Queries
      • POSTTrack Agent Asi1 Response Time
Login
LogoLogo
API ReferenceInternal

Save Asi1 Picking Details

POST
https://agentverse.ai/internal/asi1-pick-details
POST
/internal/asi1-pick-details
$curl -X POST https://agentverse.ai/internal/asi1-pick-details \
> -H "Content-Type: application/json" \
> -d '{
> "address": "foo",
> "id": "foo",
> "type": "asi1",
> "user_query": "foo",
> "queries": [
> "foo"
> ],
> "queries_matched": [
> "foo"
> ],
> "reasoning": "foo"
>}'
Was this page helpful?
Previous

Track Successful Asi1 Queries

Next
Built with

Request

This endpoint expects an object.
addressstringRequiredformat: "^agent1[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}$"
The address of the agent
idstringRequiredformat: "uuid"
id generated for saving picking details
typeenumRequired

denotes if the picking details come from an actual ASI1 session (‘asi1’) or from a pick_only session (‘pick_only’)

Allowed values:
user_querystringRequired
initial user query
querieslist of stringsRequired
all search queries
queries_matchedlist of stringsRequired
queries based on what the agent was retrieved
reasoningstringRequired
the reason why the agent was finally picked
contractenumOptional
The Almanac contract where the agent is registered
Allowed values:

Errors

422
Unprocessable Entity Error